### Method

# Soup Session get_proxy_resolver

#### Declaration [src]

    GProxyResolver*
    soup_session_get_proxy_resolver (
      SoupSession* session
    )

#### Description [src]

Get the `GProxyResolver` currently used by `session`.

Gets property | `Soup.Session:proxy-resolver`

#### Return value

Type: `GProxyResolver`

A `GProxyResolver` or `NULL` if proxies are disabled in `session`.

The returned data is owned by the instance.
The return value can be `NULL`.